.TH wxControlWithItems 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxControlWithItems \- See external documentation: wxControlWithItems\&.
.SH DESCRIPTION
.LP
See external documentation: wxControlWithItems <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxControlWithItems()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
append(This::wxControlWithItems(), Item::string()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemsappend>\&.
.RE
.LP
.B
append(This::wxControlWithItems(), Item::string(), ClientData::term()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemsappend>\&.
.RE
.LP
.B
appendStrings(This::wxControlWithItems(), Strings::[[string()]]) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemsappend>\&.
.RE
.LP
.B
clear(This::wxControlWithItems()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemsclear>\&.
.RE
.LP
.B
delete(This::wxControlWithItems(), N::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemsdelete>\&.
.RE
.LP
.B
findString(This::wxControlWithItems(), S::string()) -> integer()
.br
.RS
.LP
Equivalent to findString(This, S, [])\&.
.RE
.LP
.B
findString(This::wxControlWithItems(), S::string(), Options::[Option]) -> integer()
.br
.RS
.TP
Types
Option = {bCase, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemsfindstring>\&.
.RE
.LP
.B
getClientData(This::wxControlWithItems(), N::integer()) -> term()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemsgetclientobject>\&.
.RE
.LP
.B
setClientData(This::wxControlWithItems(), N::integer(), ClientData::term()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemssetclientobject>\&.
.RE
.LP
.B
getCount(This::wxControlWithItems()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemsgetcount>\&.
.RE
.LP
.B
getSelection(This::wxControlWithItems()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemsgetselection>\&.
.RE
.LP
.B
getString(This::wxControlWithItems(), N::integer()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemsgetstring>\&.
.RE
.LP
.B
getStringSelection(This::wxControlWithItems()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemsgetstringselection>\&.
.RE
.LP
.B
insert(This::wxControlWithItems(), Item::string(), Pos::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemsinsert>\&.
.RE
.LP
.B
insert(This::wxControlWithItems(), Item::string(), Pos::integer(), ClientData::term()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemsinsert>\&.
.RE
.LP
.B
isEmpty(This::wxControlWithItems()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemsisempty>\&.
.RE
.LP
.B
select(This::wxControlWithItems(), N::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemsselect>\&.
.RE
.LP
.B
setSelection(This::wxControlWithItems(), N::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemssetselection>\&.
.RE
.LP
.B
setString(This::wxControlWithItems(), N::integer(), S::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemssetstring>\&.
.RE
.LP
.B
setStringSelection(This::wxControlWithItems(), S::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcontrolwithitems\&.html#wxcontrolwithitemssetstringselection>\&.
.RE
